Bug 8644 - jQueryUI CSS file should not contain customizations
Summary: jQueryUI CSS file should not contain customizations
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Mason James
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-14 20:10 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed fix for the staff client (153.65 KB, patch)
2012-08-15 13:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Proposed fix for the OPAC (153.29 KB, patch)
2012-08-15 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8644 [staff client] jQueryUI CSS file should not contain customizations (306.28 KB, patch)
2012-08-20 20:30 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 8644 [staff client] jQueryUI CSS file should not contain customizations (290.96 KB, patch)
2012-09-05 18:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8644 [OPAC] jQueryUI CSS file should not contain customizations (164.10 KB, patch)
2012-09-06 12:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8644 [staff client] jQueryUI CSS file should not contain customizations (290.23 KB, patch)
2012-09-07 13:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8644 [OPAC] jQueryUI CSS file should not contain customizations (163.94 KB, patch)
2012-09-07 13:20 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-08-14 20:10:38 UTC
Each time we add a new jQueryUI module (dialog, button, etc) or simply upgrade jQueryUI, the library files will have to be rebuilt on the jQueryUI site and updated js and CSS files committed to Koha. Currently the jQueryUI "core" CSS file (koha-tmpl/intranet-tmpl/prog/en/lib/jquery/jquery-ui.css) contains customizations. These should be moved to staff-global.css so that these customizations are not lost on each upgrade.
Comment 1 Owen Leonard 2012-08-15 13:01:16 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-08-15 13:44:34 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2012-08-20 20:30:34 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-09-05 18:41:13 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2012-09-06 12:28:34 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2012-09-07 13:20:05 UTC
Created attachment 12040 [details] [review]
Bug 8644 [staff client] jQueryUI CSS file should not contain customizations

This patch moves jQueryUI customizations into the main CSS
file for the staff client. In order to get the corrected
default version of jquery-ui.css I have upgraded all core
jQueryUI files.

Testers should look at examples of each of the various jQueryUI
widgets we use in Koha to confirm continued functinality: tabs,
autocomplete, datepickers, and slider (in specify due date popup).

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2012-09-07 13:20:17 UTC
Created attachment 12041 [details] [review]
Bug 8644 [OPAC] jQueryUI CSS file should not contain customizations

This patch moves jQueryUI customizations into the main CSS
file for the OPAC. In order to get the corrected
default version of jquery-ui.css I have upgraded all core
jQueryUI files.

Testers should look at examples of each of the various jQueryUI
widgets we use in the OPAC to confirm continued functinality: tabs
and datepickers.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2012-09-07 13:21:06 UTC
I checked out all the different jQuery widgets I could find. Everything looks good to me.
Comment 9 Mason James 2012-09-10 05:38:37 UTC
(In reply to comment #8)
> I checked out all the different jQuery widgets I could find. Everything
> looks good to me.

looks good to me too, nice patch Owen
passing QA...

mason@xen1:~/g/head$ koha-qa.pl -c  2

testing 2 commit(s) (applied to commit c8ef17e)
 * 5f72a63 Bug 8644 [OPAC] jQueryUI CSS file should not contain customizations
      koha-tmpl/opac-tmpl/prog/en/css/opac.css
      koha-tmpl/opac-tmpl/prog/en/lib/jquery/jquery-ui.css
      koha-tmpl/opac-tmpl/prog/en/lib/jquery/jquery-ui.js

 * ccf406f Bug 8644 [staff client] jQueryUI CSS file should not contain customizations
      koha-tmpl/intranet-tmpl/prog/en/css/staff-global.css
      koha-tmpl/intranet-tmpl/prog/en/lib/jquery/jquery-ui.css
      koha-tmpl/intranet-tmpl/prog/en/lib/jquery/jquery-ui.js

- perlcritic-progressive tests...                 OK
- perl -c syntax tests...                         OK
- xt/tt_valid.t tests...                          OK
- xt/author/valid-template.t tests...             OK
- t/00-valid-xml.t tests...                       OK
Comment 10 Paul Poulain 2012-09-13 09:02:44 UTC
Patch pushed to master, could not find anything wrong

(except, maybe the fact that staff-global.css is now 2459 lines long, and would take a lot of benefit from being cleaned. But that's another topic ;-)